<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl::hash_block&lt; vector_type, hash_function_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1hash__block.html">hash_block</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1impl_1_1hash__block-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl::hash_block&lt; vector_type, hash_function_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae404bfeace703f8f3949c13108a7d1d8"><td class="memItemLeft" align="right" valign="top"><a id="ae404bfeace703f8f3949c13108a7d1d8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>hash_block</b> (const vector_type &amp;samples_, const hash_function_type &amp;hash_funct_, std::vector&lt; typename hash_function_type::result_type &gt; &amp;hashes_)</td></tr>
<tr class="separator:ae404bfeace703f8f3949c13108a7d1d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8108f00ed7f1613cd92beb0602b1d92"><td class="memItemLeft" align="right" valign="top"><a id="ae8108f00ed7f1613cd92beb0602b1d92"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:ae8108f00ed7f1613cd92beb0602b1d92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a95724aef9f7f43bcb56b7e6c5498ed8a"><td class="memItemLeft" align="right" valign="top"><a id="a95724aef9f7f43bcb56b7e6c5498ed8a"></a>
const vector_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>samples</b></td></tr>
<tr class="separator:a95724aef9f7f43bcb56b7e6c5498ed8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f13cce9b2243114ddefef84ec203855"><td class="memItemLeft" align="right" valign="top"><a id="a4f13cce9b2243114ddefef84ec203855"></a>
const hash_function_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>hash_funct</b></td></tr>
<tr class="separator:a4f13cce9b2243114ddefef84ec203855"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a323b6d328fd0a2e78e8d5460fc73762b"><td class="memItemLeft" align="right" valign="top"><a id="a323b6d328fd0a2e78e8d5460fc73762b"></a>
std::vector&lt; typename hash_function_type::result_type &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>hashes</b></td></tr>
<tr class="separator:a323b6d328fd0a2e78e8d5460fc73762b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="find__k__nearest__neighbors__lsh_8h_source.html">find_k_nearest_neighbors_lsh.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
